pfSense Packages - Bug #13696

WireGuard v0.1.6_2 - Tunnel Will Never Handshake Again After WAN Reset
11/25/2022 07:14 AM - Nunya Business

Status: Not a Bug Start date:

Priority: Normal Due date:

Assignee: % Done: 0%

Category: WireGuard Estimated time: 0.00 hour

Target version:

Plus Target Version: Affected Plus 22.01
Version:

Affected Version: 2.6.0 Affected All

Architecture:

Description
This old bug has returned: https:/redmine.pfsense.org/issues/12399

Identical symptoms: make any changes to the tunnel, any at all, even just rebooting or restarting pfSense, and your WireGuard
tunnel is borked. The only way to get connected again is to blow away all of it, reinstall your tunnels, peers, and related
configurations. Then don't touch it and pray nothing goes wrong. You can't switch peers anymore, as this borks the tunnel.

History

#1 - 11/25/2022 07:27 AM - Nunya Business

even just rebooting or restarting Wireguard

#2 - 11/25/2022 02:08 PM - Nunya Business

| think | found the solution for 0.1.6_2. Once your tunnel is setup with peers, you have your tun_wg0 Interface, and the Mullvad Gateway has been
created, you have to temporarily switch Default Gateway over to the WAN. If you do this, the handshake will complete. | don't know why this works. |
have tried switching to multiple peers. Each time, set Default Gateway to WAN, let the handshake complete, then switch it back to Mullvad Gateway
and you're good to go. If anybody has any notion of what is causing this, speak up. | have a basic setup, like the Netgate website recommends.
Nothing fancy. Basic firewall outbound NAT and rules.

#3 - 11/25/2022 04:14 PM - Nunya Business

Never mind. It was a problem with my firewall. Follow the guide here and you'll be fine: https://mullvad.net/en/help/pfsense-with-wirequard/

#4 - 11/28/2022 07:51 AM - Jim Pingle
- Status changed from New to Not a Bug

- Priority changed from High to Normal

06/02/2025 1/1



https://redmine.pfsense.org/issues/12399
https://mullvad.net/en/help/pfsense-with-wireguard/
http://www.tcpdf.org

